/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

label.disabled {
  opacity: .5;
  cursor: not-allowed;
  color: var(--bs-btn-disabled-color);
  background-color: var(--bs-btn-disabled-bg);
}

.step-form-container {
  width: 38vw;
}

input[type=radio] {
  appearance: none;
}

.validation-mode-button, .step-type-button {
  border: 1px solid #CBCBCB;
  border-radius: 4px;
}

.validation-mode-button.selected {
  background-color: #2D9CA1;
  border: 1px solid #2D9CA1;
  color: white;
}

.green.selected {
  color: white;
  background-color: #0A711A;
  border: 1px solid #0A711A;
}

.orange.selected {
  color: white;
  background-color: #A54804;
  border: 1px solid #A54804;
}

.red.selected {
  color: white;
  background-color: #8C0E0E;
  border: 1px solid #8C0E0E;
}

.blue.selected {
  color: white;
  background-color: #115E5E;
  border: 1px solid #115E5E;
}

.light-blue.selected {
  color: white;
  background-color: #115E5E;
  border: 1px solid #115E5E;
}
